Package org.eclipse.rdf4j.repository

## Class RDFSchemaRepositoryConnectionTest

- java.lang.Object
- - org.eclipse.rdf4j.repository.RepositoryConnectionTest
  - - org.eclipse.rdf4j.repository.RDFSchemaRepositoryConnectionTest

-     public abstract class RDFSchemaRepositoryConnectionTest
      extends RepositoryConnectionTest

  Author:
    jeen, Arjohn Kampman

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.repository.RepositoryConnectionTest

      `alexander, alice, bob, context1, context2, FOAF_NS, level, mbox, mboxAlice, mboxBob, name, nameAlice, nameBob, publisher, TEST_DIR_PREFIX, testCon, testCon2, testRepository, to, unknownContext, vf, Александър`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RDFSchemaRepositoryConnectionTest​(IsolationLevel level)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IsolationLevel[]` | `parametersREAD_COMMITTED()` |
    `void` | `setUp()` |
    `void` | `testContextStatementsNotDuplicated()` |
    `void` | `testContextStatementsNotDuplicated2()` |
    `void` | `testDomainInference()` |
    `void` | `testExplicitFlag()` |
    `void` | `testInferencerQueryDuringTransaction()` |
    `void` | `testInferencerTransactionIsolation()` |
    `void` | `testInferencerUpdates()` |
    `void` | `testMakeExplicit()` |
    `void` | `testSubClassInference()` |
    `void` | `testSubClassInferenceAfterRemoval()` |

    - ### Methods inherited from class org.eclipse.rdf4j.repository.RepositoryConnectionTest

      `createRepository, parameters, setUpClass, tearDown, testAddDelete, testAddDeleteAdd, testAddDeleteInsert, testAddGzipInputStream, testAddInputStream, testAddInputStreamInTxn, testAddLiteralWithNewline, testAddMalformedLiteralsDefaultConfig, testAddMalformedLiteralsStrictConfig, testAddReader, testAddReaderInTxn, testAddRemove, testAddRemoveAdd, testAddRemoveInsert, testAddStatement, testAddStatementWithContext, testAddZipFile, testAutoCommit, testBNodeSerialization, testClear, testDataset, testDeleteDefaultGraph, testDuplicateFilter, testEmptyCommit, testEmptyRollback, testGetContextIDs, testGetNamespace, testGetNamespaces, testGetStatements, testGetStatementsInMultipleContexts, testGetStatementsInSingleContext, testGetStatementsIterable, testGetStatementsMalformedLanguageLiteral, testGetStatementsMalformedTypedLiteral, testGraphSerialization, testInferredStatementCount, testInsertDelete, testInsertRemove, testLiteralSerialization, testOpen, testOptionalFilter, testOrPredicate, testPreparedBooleanQuery, testPreparedGraphQuery, testPreparedTupleQuery, testPreparedTupleQueryUnicode, testPrepareSPARQLQuery, testQueryBaseURI, testQueryDefaultGraph, testQueryInTransaction, testRecoverFromParseError, testRemoveStatementCollection, testRemoveStatementIteration, testRemoveStatements, testRemoveStatementWithContext, testRollback, testSES2172ChineseChars, testSES713, testSimpleBooleanQuery, testSimpleGraphQuery, testSimpleTupleQuery, testSimpleTupleQueryUnicode, testSizeCommit, testSizeDuplicateStatement, testSizeRollback, testStatementSerialization, testTransactionIsolation, testUpdateBaseURI, testUpdateInTransaction, testURISerialization, testXmlCalendarZ`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RDFSchemaRepositoryConnectionTest

          public RDFSchemaRepositoryConnectionTest​(IsolationLevel level)

  - ### Method Detail

    - #### parametersREAD_COMMITTED

          public static final IsolationLevel[] parametersREAD_COMMITTED()

    - #### setUp

          public void setUp()
                     throws Exception

      Overrides:
        `setUp` in class `RepositoryConnectionTest`
      Throws:
        `Exception`

    - #### testDomainInference

          public void testDomainInference()
                                   throws Exception

      Throws:
        `Exception`

    - #### testSubClassInference

          public void testSubClassInference()
                                     throws Exception

      Throws:
        `Exception`

    - #### testSubClassInferenceAfterRemoval

          public void testSubClassInferenceAfterRemoval()
                                                 throws Exception

      Throws:
        `Exception`

    - #### testMakeExplicit

          public void testMakeExplicit()
                                throws Exception

      Throws:
        `Exception`

    - #### testExplicitFlag

          public void testExplicitFlag()
                                throws Exception

      Throws:
        `Exception`

    - #### testInferencerUpdates

          public void testInferencerUpdates()
                                     throws Exception

      Throws:
        `Exception`

    - #### testInferencerQueryDuringTransaction

          public void testInferencerQueryDuringTransaction()
                                                    throws Exception

      Throws:
        `Exception`

    - #### testInferencerTransactionIsolation

          public void testInferencerTransactionIsolation()
                                                  throws Exception

      Throws:
        `Exception`

    - #### testContextStatementsNotDuplicated

          public void testContextStatementsNotDuplicated()
                                                  throws Exception

      Throws:
        `Exception`

    - #### testContextStatementsNotDuplicated2

          public void testContextStatementsNotDuplicated2()
                                                   throws Exception

      Throws:
        `Exception`